> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get collection products

> Get products in a collection with pagination



## OpenAPI

````yaml /api-reference/products/openapi.json get /products/collections/{collectionId}/products
openapi: 3.0.0
info:
  title: Products API
  description: Documentation for products API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Products
    description: Documentation for products API
  - name: Prices
    description: Documentation for products API
  - name: Store
    description: Documentation for products API
  - name: Collections
    description: Documentation for products API
  - name: Reviews
    description: Documentation for products API
paths:
  /products/collections/{collectionId}/products:
    get:
      tags:
        - Collections
      summary: Get collection products
      description: Get products in a collection with pagination
      operationId: get-collection-products
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: collectionId
          required: true
          in: path
          description: MongoId of the collection
          schema:
            example: 65d71377c326ea78e1c47df5
            type: string
        - name: altId
          required: true
          in: query
          description: Location Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altType
          required: true
          in: query
          description: The type of alt. For now it is only LOCATION
          schema:
            example: LOCATION
            enum:
              - location
            type: string
        - name: type
          required: false
          in: query
          description: Type of collection product to filter by
          schema:
            example: manual
            enum:
              - manual
              - smart
            type: string
        - name: offset
          required: false
          in: query
          description: Offset for pagination
          schema:
            example: 0
            type: number
        - name: limit
          required: false
          in: query
          description: Limit for pagination
          schema:
            example: 20
            type: number
        - name: search
          required: false
          in: query
          description: Query to search products by name, description, or slug
          schema:
            example: awesome product
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionProductsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access: []
components:
  schemas:
    CollectionProductsResponseDto:
      type: object
      properties:
        data:
          description: Array of collection products
          type: array
          items:
            type: string
        total:
          type: number
          description: Total count of collection products
          example: 50
      required:
        - data
        - total
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````